Skip to content

getPickingSchedule

READ

Get picking schedule.

POST /api/v1/inventory/getPickingSchedule
curl -X POST '<your-host>/api/v1/inventory/getPickingSchedule' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "customerId": "string",
      "customerName": "string",
      "deadlineType": "No Deadline",
      "dueDate": "string",
      "itemDescription": "string",
      "itemId": "string",
      "itemReadableId": "string",
      "jobId": "string",
      "jobMakeMethodId": "string",
      "jobOperationId": "string",
      "jobReadableId": "string",
      "laborTime": 0,
      "laborUnit": "Hours/Piece",
      "machineTime": 0,
      "machineUnit": "Hours/Piece",
      "operationDescription": "string",
      "operationOrder": 0,
      "operationQuantity": 0,
      "operationStatus": "Done",
      "partsToPickCount": 0,
      "processName": "string",
      "quantityComplete": 0,
      "quantityReworked": 0,
      "quantityScrapped": 0,
      "salesOrderId": "string",
      "salesOrderLineId": "string",
      "salesOrderReadableId": "string",
      "setupTime": 0,
      "setupUnit": "Hours/Piece",
      "tags": [
        "string"
      ],
      "targetQuantity": 0,
      "thumbnailPath": "string",
      "totalQuantityToPick": 0,
      "workCenterId": "string",
      "workCenterName": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "search": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "locationId"
  ]
}